Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Mar 2021 19:03:09 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 25 Mar 2021 16:51:48 +0000
> 
> >>> I was referring to a different case, future dumps done by the user
> >>> calling directly `dump-emacs-portable', in that case some .eln might
> >>> stay where they were placed originally (not in the preloaded subfolder).
> >>> 
> >>> I know for now we don't support officially `dump-emacs-portable' to be
> >>> used directly by the user, so I'm not sure that's a real issue, but I
> >>> was trying to think future proof.
> >>
> >> Ah, okay.  I think we can leave this use case for posterity, to be
> >> figured out when re-dumping is fully supported.  How about adding this
> >> bit to the etc/TODO item that talks about re-dumping?
> >
> > Right, will do that contextually when I prepare the patch.
> >
> >   Andrea
> 
> The only non trivial part here is to identify at compile time if a file
> will be preloaded or not (so we can output it in the preloaded
> directory).
> 
> Any obvious suggestion here before I start hacking the build system?

Why does it have to be the build system?  dump-emacs-portable is an
Emacs function, it doesn't use any of the build machinery.